Bug 1122757 - [abrt] xboxdrv: libusb_get_next_timeout(): xboxdrv killed by SIGSEGV
Summary: [abrt] xboxdrv: libusb_get_next_timeout(): xboxdrv killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xboxdrv
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcel Wysocki
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b9364b4e6be9b19adda41b397aa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 02:47 UTC by Gian Paolo Mureddu
Modified: 2015-06-29 21:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:43:51 UTC


Attachments (Terms of Use)
File: backtrace (44.38 KB, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: core_backtrace (3.10 KB, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: dso_list (2.24 KB, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: environ (2.08 KB, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: maps (11.71 KB, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: open_fds (226 bytes, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: proc_pid_status (902 bytes, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details
File: var_log_messages (1.10 KB, text/plain)
2014-07-24 02:47 UTC, Gian Paolo Mureddu
no flags Details

Description Gian Paolo Mureddu 2014-07-24 02:47:11 UTC
Description of problem:
Run the program as daemon

Version-Release number of selected component:
xboxdrv-0.8.5-4.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        xboxdrv --silent --detach-kernel-driver --daemon --detach
crash_function: libusb_get_next_timeout
executable:     /usr/bin/xboxdrv
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 libusb_get_next_timeout at io.c:2387
 #1 get_next_timeout at io.c:2113
 #2 libusb_handle_events_timeout_completed at io.c:2163
 #3 libusb_handle_events at io.c:2250
 #4 USBController::~USBController at src/usb_controller.cpp:91
 #5 ~Xbox360WirelessController at src/xbox360_wireless_controller.cpp:51
 #6 Xbox360WirelessController::~Xbox360WirelessController at src/xbox360_wireless_controller.cpp:53
 #7 release at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:146
 #8 ~shared_count at /usr/include/boost/smart_ptr/detail/shared_count.hpp:371
 #9 ~shared_ptr at /usr/include/boost/smart_ptr/shared_ptr.hpp:328

Comment 1 Gian Paolo Mureddu 2014-07-24 02:47:13 UTC
Created attachment 920401 [details]
File: backtrace

Comment 2 Gian Paolo Mureddu 2014-07-24 02:47:14 UTC
Created attachment 920402 [details]
File: cgroup

Comment 3 Gian Paolo Mureddu 2014-07-24 02:47:14 UTC
Created attachment 920403 [details]
File: core_backtrace

Comment 4 Gian Paolo Mureddu 2014-07-24 02:47:15 UTC
Created attachment 920404 [details]
File: dso_list

Comment 5 Gian Paolo Mureddu 2014-07-24 02:47:16 UTC
Created attachment 920405 [details]
File: environ

Comment 6 Gian Paolo Mureddu 2014-07-24 02:47:16 UTC
Created attachment 920406 [details]
File: exploitable

Comment 7 Gian Paolo Mureddu 2014-07-24 02:47:17 UTC
Created attachment 920407 [details]
File: limits

Comment 8 Gian Paolo Mureddu 2014-07-24 02:47:18 UTC
Created attachment 920408 [details]
File: maps

Comment 9 Gian Paolo Mureddu 2014-07-24 02:47:18 UTC
Created attachment 920409 [details]
File: open_fds

Comment 10 Gian Paolo Mureddu 2014-07-24 02:47:19 UTC
Created attachment 920410 [details]
File: proc_pid_status

Comment 11 Gian Paolo Mureddu 2014-07-24 02:47:19 UTC
Created attachment 920411 [details]
File: var_log_messages

Comment 12 Jacek Wielemborek 2014-10-05 17:15:08 UTC
Another user experienced a similar problem:

Probably tried to run xboxdrv -D from inside a sudo (not kdesu) session.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        xboxdrv -D
crash_function: libusb_get_next_timeout
executable:     /usr/bin/xboxdrv
kernel:         3.16.3-200.fc20.x86_64
package:        xboxdrv-0.8.5-4.fc20
reason:         xboxdrv killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0

Comment 13 Alexander W. Janssen 2014-12-26 07:57:36 UTC
Problem persists in FC21/x86_64.

Comment 14 Fedora End Of Life 2015-05-29 12:27:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 21:43:51 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.